Subject: IDNITS and RFC 2119/RFC 8174 Normative References

From: "Acee Lindem (acee)" <[email-masked]>
Date: Mon, 21 Oct 2019 17:19:19 +0000

Hi,

We’ve been including RFC 2119 (and recently RFC 8174) in RFC Normative References for ages. Now these are been flagged as downrefs in standards track documents since they are BCPs. What is the right thing to do here – move the references to Informative, ignore the warning, or fix IDNITS?

Thanks,
Acee

---

From: "Alexey Melnikov" <[email-masked]>
Date: Mon, 21 Oct 2019 18:22:40 +0100

Hi Acee,

> We’ve been including RFC 2119 (and recently RFC 8174) in RFC Normative References for ages. Now these are been flagged as downrefs in standards track documents since they are BCPs. What is the righ…

I think fixing IDNITS is the right thing, as BCPs are not DownRefs for PS documents.

Best Regards,
Alexey

---

From: Henrik Levkowetz <[email-masked]>
Date: Mon, 21 Oct 2019 20:30:05 +0200

Hi Alexey,

On 2019-10-21 19:22, Alexey Melnikov wrote:
>> We’ve been including RFC 2119 (and recently RFC 8174) in RFC
>> Normative References for ages. Now these are been flagged as
>> downrefs in standards track documents since they are BCPs. What is
>> the right thing to do here – move the references to Informative,
>> ignore the warning, or fix IDNITS?
> 

Fixing idnits sounds right.  Do you have a reference for BCPs not being
downrefs for PS documents?

Best regards,

	Henrik

---

From: Dave Thaler <[email-masked]>
Date: Mon, 21 Oct 2019 19:31:22 +0000

Here's my take...

RFC 2026 section 4 defines "Standards Track Maturity Levels", "Non-Standards Track Maturity Levels", and "BCPs".
This tells me that a BCP is not a "maturity level" in either other category, it's a third category.

RFC 3967 says:
> IETF procedures generally require that a standards track RFC may not
> have a normative reference to another standards track document at a
> lower maturity level or to a non standards track specification (other
> than specifications from other standards bodies).  For example, a
> standards track document may not have a normative reference to an
> informational RFC.

The first sentence above as phrase is clear that the downlevel requirement
is about references within the standards track maturity levels, as well as
references to non-standards track (regardless of maturity levels), but is
silent on BCPs since that's a third category.

RFC 4897 updates 3967 and clarifies:
>   The term "Standards-Track document", as used in this specification,
>   is assumed to include BCPs but not Informational or Experimental
>   documents of any variety or origin.

Thus in 4897, BCPs are put into the same category as Standards Track
(not Non-Standards Track), which is the closest statement I can find to actually
answering Henrik's question, but it says "as used in this specification" so
does not explicitly say that such inclusion would apply to 3967 or RFC 8067
for that matter since that does not reference 4897 at all.

Even in 4897's inclusiveness, there is no statement that says whether BCP
would be considered "downward".   So after my search, I can find no statement
that BCP is, or is not, a downward reference from a standards track document.

So unless some statement can be found that implies it IS a downward reference,
I agree that idnits is unjustified in complaining about it.

Dave

-----Original Message-----
From: WGChairs <[email-masked]> On Behalf Of Henrik Levkowetz
Sent: Monday, October 21, 2019 11:30 AM
To: Alexey Melnikov <[email-masked]>; Acee Lindem <[email-masked]>; [email-masked]
Subject: Re: IDNITS and RFC 2119/RFC 8174 Normative References

Hi Alexey,

On 2019-10-21 19:22, Alexey Melnikov wrote:
>> Normative References for ages. Now these are been flagged as downrefs 
>> in standards track documents since they are BCPs. What is the right 
>> thing to do here – move the references to Informative, ignore the 
>> warning, or fix IDNITS?
> 

Fixing idnits sounds right.  Do you have a reference for BCPs not being downrefs for PS documents?

Best regards,

	Henrik

---

From: Henrik Levkowetz <[email-masked]>
Date: Mon, 21 Oct 2019 21:37:57 +0200

Thank you, Dave.  Makes sense to me.

	Henrik